﻿* Encoding: UTF-8.


* Code zur Erstellung eines Punktdiagramms und zur Berechnung von Pearsons Korrelationskoeffozienten.

* 1. Punktdiagramm.

* Mit dem Befehl "GGRAPH" erzeugen wir die Abbildung und mit dem Befehl "GPL" modifizieren wir sie. 
* Unter "GRAPHDATASET" vergeben wir einen Namen, auf den wir uns in dem "GPL"-Befehl beziehen. 
* "SOURCE=INLINE" führt dazu, dass der momentan geöffnete Datensatz verwendet wird. 
* Die x-Achse wird als dim(1) bezeichnet und die y-Achse als dim(2)

GGRAPH 
  /GRAPHDATASET NAME="graphdataset" VARIABLES=schlafdauer punkte MISSING=LISTWISE REPORTMISSING=NO 
  /GRAPHSPEC SOURCE=INLINE 
  /FITLINE TOTAL=NO. 
BEGIN GPL 
  SOURCE: s=userSource(id("graphdataset")) 
  DATA: schlafdauer=col(source(s), name("schlafdauer")) 
  DATA: punkte=col(source(s), name("punkte")) 
  GUIDE: axis(dim(1), label("schlafdauer")) 
  GUIDE: axis(dim(2), label("punkte")) 
  GUIDE: text.title(label("Einfaches Streudiagramm  von punkte Schritt: schlafdauer")) 
  ELEMENT: point(position(schlafdauer*punkte)) 
END GPL.


* 2. Pearsons Korrelationskoeffizient.  

* Wir verwenden den Befehl "CORRELATION" und geben mit "VARIABLES=" die Variablen an, für deren Zusammenhang wir uns interessieren.

CORRELATIONS 
  /VARIABLES=punkte schlafdauer.

